
function mudfish_adclean_5d2f9629d46010e0e80e5a82dfad10fc() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`div[itemprop="articleBody"]#kwnews_body > div:not([style]):not([class]):not([id])`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_5d2f9629d46010e0e80e5a82dfad10fc();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_5d2f9629d46010e0e80e5a82dfad10fc();
  });
}
